apiVersion: tekton.dev/v1beta1
kind: Pipeline
metadata:
  name: tf-test-upload
spec:
  workspaces:
    - name: providers-workspace
    - name: config-workspace
  tasks:
    - name: minio-config
      taskRef:
        name: minio-creator
      workspaces:
        - name: minio-workspace
          workspace: config-workspace
    - name: upload-file
      runAfter:
        - minio-config
      taskRef:
        name: minio-upload
      params:
        - name: filename
          value: terraform-provider-minio
      workspaces:
        - name: minio-workspace
          workspace: config-workspace
        - name: data-workspace
          workspace: providers-workspace
    - name: debug
      runAfter:
        - upload-file
      taskRef:
        name: debug
      workspaces:
        - name: debug-workspace
          workspace: config-workspace
